Lists rollout groups within a project
GET /api
Also reachable at /api.
Path Parameters
projectIdstring (required)spaceIdstring (required)
Query Parameters
partialNamestring
Filters results to rollout groups whose name contains this text (case-insensitive substring match).skipinteger (required)
Number of items to skip. Defaults to zero. Minimum0.takeinteger (required)
Number of items to take. Defaults to 30. Minimum0.
Response
200 — Success
ItemTypestring
The type of item in this list.Itemsarray of objectFeatureToggleUsagesarray of objectIdstringNamestring
Minimum length 1.ProjectIdstringSpaceIdstring
ItemsPerPageintegerLastPageNumberintegerNumberOfPagesintegerTotalResultsinteger
Example Response
{
"ItemType": "RolloutGroup",
"Items": [
{
"FeatureToggleUsages": [
{}
],
"Id": "string",
"Name": "string",
"ProjectId": "Projects-1",
"SpaceId": "Spaces-1"
}
],
"ItemsPerPage": 30,
"LastPageNumber": 1,
"NumberOfPages": 2,
"TotalResults": 42
}Creates a rollout group within a project
POST /api
Also reachable at /api.
Path Parameters
projectIdstring (required)spaceIdstring (required)
Request Body
Namestring (required)
Minimum length 1. Maximum length 200.ProjectIdstring (required)SpaceIdstring (required)
Response
201 — Created
FeatureToggleUsagesarray of objectIdstringNamestring
Minimum length 1.
IdstringNamestring
Minimum length 1.ProjectIdstringSpaceIdstring
Example Request
{
"Name": "string",
"ProjectId": "Projects-1",
"SpaceId": "Spaces-1"
}Example Response
{
"FeatureToggleUsages": [
{
"Id": "string",
"Name": "string"
}
],
"Id": "string",
"Name": "string",
"ProjectId": "Projects-1",
"SpaceId": "Spaces-1"
}Retrieves a rollout group by Id
GET /api
Also reachable at /api.
Path Parameters
idstring (required)projectIdstring (required)spaceIdstring (required)
Response
200 — A rollout group within a project, used to link rollout percentages between feature toggles.
FeatureToggleUsagesarray of objectIdstringNamestring
Minimum length 1.
IdstringNamestring
Minimum length 1.ProjectIdstringSpaceIdstring
Example Response
{
"FeatureToggleUsages": [
{
"Id": "string",
"Name": "string"
}
],
"Id": "string",
"Name": "string",
"ProjectId": "Projects-1",
"SpaceId": "Spaces-1"
}Modifies a rollout group
PUT /api
Also reachable at /api.
Path Parameters
idstring (required)projectIdstring (required)spaceIdstring (required)
Request Body
Idstring (required)Namestring (required)
Minimum length 1. Maximum length 200.ProjectIdstring (required)SpaceIdstring (required)
Response
200 — A rollout group within a project, used to link rollout percentages between feature toggles.
FeatureToggleUsagesarray of objectIdstringNamestring
Minimum length 1.
IdstringNamestring
Minimum length 1.ProjectIdstringSpaceIdstring
Example Request
{
"Id": "string",
"Name": "string",
"ProjectId": "Projects-1",
"SpaceId": "Spaces-1"
}Example Response
{
"FeatureToggleUsages": [
{
"Id": "string",
"Name": "string"
}
],
"Id": "string",
"Name": "string",
"ProjectId": "Projects-1",
"SpaceId": "Spaces-1"
}Deletes a rollout group
DELETE /api
Also reachable at /api.
Path Parameters
idstring (required)projectIdstring (required)spaceIdstring (required)
Response
200 — Response from deleting a rollout group.
Example Response
{}